const SERVER_KEY = 'a30b66a26ea1890fd656cf11cb2647fb';

export default function getWeather(city) {
  const url = `https://restapi.amap.com/v3/weather/weatherInfo?key=${SERVER_KEY}&city=${city}&extensions=all`;

  return fetch(url)
    .then((res) => res.json())
    .then((res) => {
      if (res.info === 'OK') {
        return res.forecasts;
      } else {
        return Promise.reject(res.info);
      }
    })
    .catch((err) => {
      console.log(err.message);
    });
}
