import request from '@/utils/request';

/**
 * 查询订单列表
 * @param {*} params
 * @returns
 */
export const getOrderList = (params) => request('/order', { params });
/**
 * 查询预警列表
 * @param {*} params
 * @returns
 */
export const getWarnList = (params) => request('/order?isWarn=true', { params });

/**
 * 查询订单详情
 * @param {*} params
 * @returns
 */
export const getOrderDetail = (id) => request(`/order/${id}`);
